Eclipse Platform Release 3.7

## org.eclipse.core.runtime.preferences
Class AbstractPreferenceInitializer

    java.lang.Object
      org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer

    public abstract class AbstractPreferenceInitializer

extends Object

Abstract class used to aid in default preference value initialization. Clients who extend the `org.eclipse.core.runtime.preferences` extension point are able to specify a class within an `initializer` element.

Since:
  3.0

Constructor Summary
`AbstractPreferenceInitializer()` Default constructor for the class.

Method Summary
`abstract void` `initializeDefaultPreferences()` This method is called by the preference initializer to initialize default preference values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPreferenceInitializer

    public AbstractPreferenceInitializer()

  Default constructor for the class.

Method Detail

### initializeDefaultPreferences

    public abstract void initializeDefaultPreferences()

  This method is called by the preference initializer to initialize default preference values. Clients should get the correct node for their bundle and then set the default values on it. For example:

                              public void initializeDefaultPreferences() {
                                      Preferences node = new DefaultScope().getNode("my.bundle.id");
                                      node.put(key, value);
                              }

  Note: Clients should only set default preference values for their own bundle.

  Note: Clients should not call this method. It will be called automatically by the preference initializer when the appropriate default preference node is accessed.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.